Skip to main content
PUT
Update seller payout configuration

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

ulid
string
required

Payout config ULID.

Body

application/json

For percent commission, commission_percent must be positive. For fixed commission, commission_fixed_amount must be positive. percent_plus_fixed requires both positive.

commission_fixed_amount
number

Required to be greater than 0 when commission_type is fixed or percent_plus_fixed.

Required range: x >= 0Must be a multiple of 0.01
commission_percent
number

Required to be greater than 0 when commission_type is percent or percent_plus_fixed.

Required range: 0 <= x <= 100Must be a multiple of 0.01
commission_type
enum<string>
Available options:
percent,
fixed,
percent_plus_fixed
hold_period_days
integer
Required range: 0 <= x <= 32767
include_shipping_in_payout
boolean
include_tax_in_payout
boolean
minimum_payout_amount
number
Required range: x >= 0Must be a multiple of 0.01
tds_percent
number
Required range: 0 <= x <= 100Must be a multiple of 0.01
tcs_percent
number
Required range: 0 <= x <= 100Must be a multiple of 0.01

Response

OK

message
string
required
success
boolean
required
content
object
required